Bug 152316 - [PATCH] games/sauerbraten: Update to 20100728
Summary: [PATCH] games/sauerbraten: Update to 20100728
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-17 06:30 UTC by Sender Ghost
Modified: 2011-01-20 15:40 UTC (History)
0 users

See Also:


Attachments
file.diff (6.08 KB, patch)
2010-11-17 06:30 UTC, Sender Ghost
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sender Ghost 2010-11-17 06:30:15 UTC
Patch to update games/sauerbraten port from "Trooper Edition" (20090504) to "Justice Edition" (20100728).
The pkg-plist dynamically generated for specified (PORTDATA) directories and installed binary files.

Look following link for changes:
http://sauerbraten.org/docs/history.html#_2010_07_19_justice_edition

The ports/151381 also can be closed after applying.

Fix: Use attached diff and delete following files:
files/patch-src-shared-tools.h
pkg-plist

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-11-17 06:30:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2010-12-12 03:11:21 UTC
Responsible Changed
From-To: acm->pgollucci

committer&maintainer timeout (acm ; 25 days) / last commit: 23 days ago
Comment 3 Philip M. Gollucci freebsd_committer 2011-01-12 00:59:02 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

E-NO-TIME right now, back to pool
Comment 4 Pav Lucistnik freebsd_committer 2011-01-20 15:15:26 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 5 dfilter service freebsd_committer 2011-01-20 15:37:52 UTC
pav         2011-01-20 15:37:47 UTC

  FreeBSD ports repository

  Modified files:
    games/sauerbraten    Makefile distinfo 
    games/sauerbraten/files patch-src_Makefile 
  Added files:
    games/sauerbraten/files sauer_master.in 
  Removed files:
    games/sauerbraten    pkg-plist 
    games/sauerbraten/files patch-src-shared-tools.h 
  Log:
  - Update to 20100728
  
  PR:             ports/152316
  Submitted by:   Sender Ghost <lightside@safebox.ru>
  Approved by:    maintainer timeout (acm; 2 months)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.25      +22 -15    ports/games/sauerbraten/Makefile
  1.11      +2 -3      ports/games/sauerbraten/distinfo
  1.2       +0 -15     ports/games/sauerbraten/files/patch-src-shared-tools.h (dead)
  1.9       +8 -8      ports/games/sauerbraten/files/patch-src_Makefile
  1.1       +18 -0     ports/games/sauerbraten/files/sauer_master.in (new)
  1.11      +0 -4771   ports/games/sauerbraten/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"